Bug 25827 - Add floating toolbar to the holds summary page in staff interface
Summary: Add floating toolbar to the holds summary page in staff interface
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 25892
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-19 21:12 UTC by Christopher Brannon
Modified: 2020-07-28 14:44 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25827: Add floating toolbar to the holds summary page in staff interface (2.94 KB, patch)
2020-06-29 15:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25827: Add floating toolbar to the holds summary page in staff interface (3.14 KB, patch)
2020-07-03 00:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25827: Add floating toolbar to the holds summary page in staff interface (3.20 KB, patch)
2020-07-03 08:04 UTC, Emmi Takkinen
Details | Diff | Splinter Review
Bug 25827: Add floating toolbar to the holds summary page in staff interface (3.26 KB, patch)
2020-07-04 23:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2020-06-19 21:12:23 UTC
Having the update button at the bottom of the holds page (request.pl) is a nuisance, especially on records that have hundreds of holds.  This button needs to be pinned at the top of the page, similar to the save button when editing a patron record.
Comment 1 George Williams (NEKLS) 2020-06-22 14:25:16 UTC
+1
Comment 2 Owen Leonard 2020-06-29 15:17:50 UTC
Created attachment 106405 [details] [review]
Bug 25827: Add floating toolbar to the holds summary page in staff interface

This patch adds a floating toolbar to the holds summar page in the staff
interface.

To test, apply the patch and view the holds page for a title with
multiple holds on it. Test that when you scroll down past the position
of the "Update hold(s)" button, the toolbar "sticks" to the top of the
screen.

Test that holds are updated correctly after clicking the "Update
hold(s)" button.
Comment 3 Christopher Brannon 2020-06-29 18:25:05 UTC
Tested on sandbox.  Applied 25892 (which I signed off), then applied 25827.  The button is moved to the top, but nothing is sticking.  It updates as expected, otherwise.
Comment 4 Owen Leonard 2020-06-30 12:33:23 UTC
Looks like it works in Firefox bug not Chrome.
Comment 5 Christopher Brannon 2020-06-30 15:12:42 UTC
(In reply to Owen Leonard from comment #4)
> Looks like it works in Firefox bug not Chrome.

I can confirm I did my test in Chrome.
Comment 6 Owen Leonard 2020-07-03 00:41:23 UTC
Created attachment 106482 [details] [review]
Bug 25827: Add floating toolbar to the holds summary page in staff interface

This patch adds a floating toolbar to the holds summar page in the staff
interface.

To test, apply the patch and view the holds page for a title with
multiple holds on it. Test that when you scroll down past the position
of the "Update hold(s)" button, the toolbar "sticks" to the top of the
screen.

Test that holds are updated correctly after clicking the "Update
hold(s)" button.
Comment 7 Emmi Takkinen 2020-07-03 08:04:52 UTC
Created attachment 106489 [details] [review]
Bug 25827: Add floating toolbar to the holds summary page in staff interface

This patch adds a floating toolbar to the holds summar page in the staff
interface.

To test, apply the patch and view the holds page for a title with
multiple holds on it. Test that when you scroll down past the position
of the "Update hold(s)" button, the toolbar "sticks" to the top of the
screen.

Test that holds are updated correctly after clicking the "Update
hold(s)" button.

Signed-off-by: Emmi Takkinen <emmi.takkinen@outlook.com>
Comment 8 Emmi Takkinen 2020-07-03 08:05:48 UTC
Tested on Firefox and Chrome. Works as expected.
Comment 9 Katrin Fischer 2020-07-04 23:02:33 UTC
Created attachment 106531 [details] [review]
Bug 25827: Add floating toolbar to the holds summary page in staff interface

This patch adds a floating toolbar to the holds summary page in the staff
interface.

To test, apply the patch and view the holds page for a title with
multiple holds on it. Test that when you scroll down past the position
of the "Update hold(s)" button, the toolbar "sticks" to the top of the
screen.

Test that holds are updated correctly after clicking the "Update
hold(s)" button.

Signed-off-by: Emmi Takkinen <emmi.takkinen@outlook.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Jonathan Druart 2020-07-20 15:49:19 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 11 Lucas Gass 2020-07-28 14:44:08 UTC
not backporting enhancement to 20.05.x series